﻿@model PagedList.IPagedList<SYM.DataAccessLayer.valley>
@using PagedList.Mvc;

@{
    ViewBag.Title = "Valley";
    ViewBag.PAge = "Valley List";
}

@section customCss4Page{
    <link href="~/Content/themes/metr0n1c/assets/global/plugins/datatables/plugins/bootstrap/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" type="text/css" href="~/Content/themes/metr0n1c/assets/global/plugins/bootstrap-select/bootstrap-select.min.css" />
    <link rel="stylesheet" type="text/css" href="~/Content/themes/metr0n1c/assets/global/plugins/select2/select2.css" />
}

<div class="row">
    <div class="col-md-12">
        <div class="portlet box grey-cascade">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-cogs"></i>
                    @ViewBag.Title
                </div>
            </div>
            <div class="portlet-body flip-scroll">
                <div id="sample_1_wrapper" class="dataTables_wrapper no-footer">
                    @using (Html.BeginForm("Index", "Valley", FormMethod.Post, new { @class = "form-inline", role = "form" }))
                    {
                        <div class="form-group">
                            <div class="input-icon">
                                <i class="fa fa-map-marker"></i>
                                <input name="mntn_name" type="text" placeholder="Mountain" class="form-control" value="@ViewBag.Mountain">
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="input-icon">
                                <input type="hidden" id="region" name="region" class="form-control input-medium select2" placeholder="Region" value="@ViewBag.Region">
                            </div>
                        </div>
                        <button type="submit" class="btn grey-cascade" style="float: right;">@SYM.Localization.Resources.Global.Search <i class="fa fa-search"></i></button>

                    }
                    <div class="table-scrollable">
                        <table class="table table-striped table-bordered table-hover dataTable no-footer">
                            <thead>
                                <tr>
                                    <th>
                                        @Html.ActionLink("Name", "Index", new { sortOrder = ViewBag.NameSortParm, currentFilter = ViewBag.CurrentFilter })
                                    </th>
                                    <th>
                                        @Html.DisplayName("Region")
                                    </th>
                                    <th>
                                        @Html.DisplayName("Route N°")
                                    </th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody class="searchable">
                                @foreach (var item in Model)
                                {
                                    <tr>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.valley_name)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.geo_region.region_name)
                                            (
                                            @{
                                    string url = "/Content/themes/m1/assets/global/img/flags/" + @item.geo_country.country_code.ToLower() + ".png";
                                    <img alt="@item.geo_country.country_code" src="@url">
                                            }
                                            )
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.route.Count)
                                        </td>
                                        <td>
                                            @*@Html.ActionLink("Edit", "Edit", new { id = item.id })*@
                                            @*@Html.ActionLink("Details", "Details", new { id = item.id })
                                                @Html.ActionLink("Delete", "Delete", new { id = item.id })*@
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                    <div class="row">
                        <div class="col-md-5 col-sm-5">
                            <div class="dataTables_info" role="status" aria-live="polite">
                                Page @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) of @Model.PageCount
                            </div>
                        </div>
                        <div class="col-md-7 col-sm-7">
                            @Html.PagedListPager(Model, page => Url.Action("Index", new { page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter }), PagedListRenderOptions.OnlyShowFivePagesAtATime)
                        </div>
                        <!-- END PAGE CONTENT INNER -->
                    </div>
                </div>
            </div>

        </div>




    </div>
</div>

@section scripts{
    <script type="text/javascript" src="~/Content/themes/metr0n1c/assets/global/plugins/bootstrap-select/bootstrap-select.min.js"></script>
    <script type="text/javascript" src="~/Content/themes/metr0n1c/assets/global/plugins/select2/select2.min.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(function () {

            $("#region").select2({
                allowClear: true,
                ajax: { // instead of writing the function to execute the request we use Select2's convenient helper
                    type: 'POST',
                    url: '@(Url.Action("AutocompleteRegion", "Home"))',
                    dataType: 'json',
                    data: function (term, page) {
                        return JSON.stringify({ "p_term": term, "p_countryid": "116" });
                    },
                    params: { // extra parameters that will be passed to ajax
                        contentType: 'application/json; charset=UTF-8'
                    },
                    processResults: function (data, page) {
                        return {
                            results: $.map(data, function (obj) {
                                return { id: obj.id, text: obj.region_name };
                            })
                        };
                    },
                    cache: true
                },
                minimumInputLength: 2,
                escapeMarkup: function (m) {
                    return m;
                } // we do not want to escape markup since we are displaying html in results
            });

        });

    </script>
}


